> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mountsea.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 列出服务

## 响应示例

```json theme={null}
[
  {
    "id": "c0f7695f-df68-40af-a9af-fc6de482c9f8",
    "name": "chat"
  },
  {
    "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "name": "gemini"
  }
]
```

| 字段     | 类型     | 描述          |
| ------ | ------ | ----------- |
| `id`   | string | 服务 ID（UUID） |
| `name` | string | 服务名称        |

<Tip>
  返回的 `id` 值可用作搜索使用日志或积分变动历史时的 `serviceId` 参数。
</Tip>


## OpenAPI

````yaml GET /api-user/services
openapi: 3.0.0
info:
  title: OneAI User Open API
  description: |-
    通过 API Key 调用的开放接口。

    认证方式：在请求头中添加 `X-API-Key: <your-key>`，或通过查询参数 `?key=<your-key>` 传递。
  version: '1.0'
  contact: {}
servers:
  - url: https://dk.mountsea.ai
    description: API Gateway
security: []
tags: []
paths:
  /api-user/services:
    get:
      tags:
        - User Open API
      summary: 获取可用的服务列表
      operationId: ApiUserController_getServices
      parameters: []
      responses:
        '200':
          description: 返回可用服务的 id 和 name
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ServiceItemDto'
      security:
        - api-key: []
components:
  schemas:
    ServiceItemDto:
      type: object
      properties:
        id:
          type: string
          description: 服务ID
          example: a1b2c3d4-...
        name:
          type: string
          description: 服务名称
          example: chat
      required:
        - id
        - name
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: X-API-Key

````